## org.eclipse.datatools.connectivity.db.generic.ui
Class GenericDBUIPlugin

    java.lang.Object
      AbstractUIPlugin
          org.eclipse.datatools.connectivity.db.generic.ui.GenericDBUIPlugin

    public class GenericDBUIPlugin

extends AbstractUIPlugin

NON-API The main plugin class to be used in the desktop.

Constructor Summary
`GenericDBUIPlugin()` The constructor.

Method Summary
`static GenericDBUIPlugin` `getDefault()` Returns the shared instance.
`static ImageDescriptor` `getImageDescriptor(java.lang.String path)` Returns an image descriptor for the image file at the given plug-in relative path.
`void` `start(BundleContext context)` This method is called upon plug-in activation
`void` `stop(BundleContext context)` This method is called when the plug-in is stopped

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GenericDBUIPlugin

    public GenericDBUIPlugin()

  The constructor.

Method Detail

### start

    public void start(BundleContext context)
               throws java.lang.Exception

  This method is called upon plug-in activation

  Throws:
    `java.lang.Exception`

### stop

    public void stop(BundleContext context)
              throws java.lang.Exception

  This method is called when the plug-in is stopped

  Throws:
    `java.lang.Exception`

### getDefault

    public static GenericDBUIPlugin getDefault()

  Returns the shared instance.

### getImageDescriptor

    public static ImageDescriptor getImageDescriptor(java.lang.String path)

  Returns an image descriptor for the image file at the given plug-in relative path.

  Parameters:
    `path` - the path
  Returns:
    the image descriptor

Copyright © 2006 -- 2008 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.